Subject: Re: [PATCH] revisions.txt: escape "..." to avoid asciidoc horizontal ellipsis

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Jun 2022 16:46:30 -0700

Jeff King <[email-masked]> writes:

> Note that this produces an empty doc-diff of the manpages. Curiously,
> asciidoc produces the same ellipsis entity in the XML file, but docbook
> then converts it back into three literal dots for the roff output! So
> the roff manpages have been correct all along (which may be a reason
> nobody noticed this until now).

Hilarious.

I just checked with "man -l -Tps" and it does seem to throw literal
three dots in the PostScript.

> Reported-by: Arthur Milchior
> Signed-off-by: Jeff King <[email-masked]>
> ---
> This was originally reported via https://github.com/git/git-scm.com/issues/1700,
> hence no email address for the reporter. I'm not sure if that makes it
> too useless to keep, but I mostly wanted to give credit.

I wonder if it is the same person as
<[email-masked]>

Anyway, thanks, both ;-)

>
>  Documentation/revisions.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/Documentation/revisions.txt b/Documentation/revisions.txt
> index f5f17b65a1..cef8c3c66f 100644
> --- a/Documentation/revisions.txt
> +++ b/Documentation/revisions.txt
> @@ -283,7 +283,7 @@ The '..' (two-dot) Range Notation::
>   for commits that are reachable from r2 excluding those that are reachable
>   from r1 by '{caret}r1 r2' and it can be written as 'r1..r2'.
>  
> -The '...' (three-dot) Symmetric Difference Notation::
> +The '\...' (three-dot) Symmetric Difference Notation::
>   A similar notation 'r1\...r2' is called symmetric difference
>   of 'r1' and 'r2' and is defined as
>   'r1 r2 --not $(git merge-base --all r1 r2)'.